#pi_calculator
# Iteratively computes pi using Leibnitz' Algorithm.
# Adapted by Andy French from code written by Ryan Ghent. December 2017

#Import all functions for Python library 'decimal'
from decimal import *

#Set precision
getcontext().prec = 64

#Print intro message
print("\n Pi calculator using Leibnitz's algorithm")
input("\n Press any key to start ... \n ")

#Initialize variables
pi = 0
neg = 1.
denom = 1
j = 0
jmax = 1e6

#Implement algorithm in a while loop
while j<jmax :
    pi = pi + Decimal(neg)/Decimal(denom)
    denom = denom +2
    
# Denominator +=2
    neg = neg*-1
    j+=1
    
# Print pi every 10,000 iterations. Note % is moduluo
    if j % 10000 == 0 :
        print(" " + str(pi*4))

#Wait for user input to close terminal window
input("\n Press return to close ")
